/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
#include <ch.h>
#include <stdio.h>
#include "expvar_c.h"

EXPORTCH void expvar_chdl(void *varg) {
  ChInterp_t interp;
  ChVaList_t ap;
  int *ii1;

  printf("The variables in the C space are %d\n", i1);

  Ch_VaStart(interp, ap, varg);
  ii1 = Ch_VaArg(interp, ap, int*);
  *ii1 = i1; /* pass the value to the Ch space */

  Ch_VaEnd(interp, ap);
  return;
}
